## gst-plugins-bad1.0 1.25.50

=== meson_options.txt ===
option('gst_play_tests', type: 'boolean', value: false,
       description: 'Enable GstPlay tests that need network access')

# Feature options for plugins without external deps
option('accurip', type : 'feature', value : 'auto')
option('adpcmdec', type : 'feature', value : 'auto')
option('adpcmenc', type : 'feature', value : 'auto')
option('aiff', type : 'feature', value : 'auto')
option('asfmux', type : 'feature', value : 'auto')
option('audiobuffersplit', type : 'feature', value : 'auto')
option('audiofxbad', type : 'feature', value : 'auto')
option('audiolatency', type : 'feature', value : 'auto')
option('audiomixmatrix', type : 'feature', value : 'auto')
option('audiovisualizers', type : 'feature', value : 'auto')
option('autoconvert', type : 'feature', value : 'auto')
option('bayer', type : 'feature', value : 'auto')
option('camerabin2', type : 'feature', value : 'auto')
option('codecalpha', type : 'feature', value : 'auto')
option('codectimestamper', type : 'feature', value : 'auto')
option('coloreffects', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('dvbsubenc', type : 'feature', value : 'auto')
option('dvbsuboverlay', type : 'feature', value : 'auto')
option('dvdspu', type : 'feature', value : 'auto')
option('faceoverlay', type : 'feature', value : 'auto')
option('festival', type : 'feature', value : 'auto')
option('fieldanalysis', type : 'feature', value : 'auto')
option('freeverb', type : 'feature', value : 'auto')
option('frei0r', type : 'feature', value : 'auto')
option('gaudieffects', type : 'feature', value : 'auto')
option('gdp', type : 'feature', value : 'auto')
option('geometrictransform', type : 'feature', value : 'auto')
option('id3tag', type : 'feature', value : 'auto')
option('insertbin', type : 'feature', value : 'auto')
option('inter', type : 'feature', value : 'auto')
option('interlace', type : 'feature', value : 'auto')
option('ivfparse', type : 'feature', value : 'auto')
option('ivtc', type : 'feature', value : 'auto')
option('jp2kdecimator', type : 'feature', value : 'auto')
option('jpegformat', type : 'feature', value : 'auto')
option('lcevcdecoder', type : 'feature', value : 'auto')
option('lcevcencoder', type : 'feature', value : 'auto')
option('librfb', type : 'feature', value : 'auto')
option('midi', type : 'feature', value : 'auto')
option('mpegdemux', type : 'feature', value : 'auto')
option('mpegpsmux', type : 'feature', value : 'auto')
option('mpegtsdemux', type : 'feature', value : 'auto')
option('mpegtsmux', type : 'feature', value : 'auto')
option('mse', type : 'feature', value : 'auto')
option('mxf', type : 'feature', value : 'auto')
option('netsim', type : 'feature', value : 'auto')
option('onvif', type : 'feature', value : 'auto')
option('pcapparse', type : 'feature', value : 'auto')
option('pnm', type : 'feature', value : 'auto')
option('proxy', type : 'feature', value : 'auto')
option('rawparse', type : 'feature', value : 'auto')
option('removesilence', type : 'feature', value : 'auto')
option('rist', type : 'feature', value : 'auto')
option('rtmp2', type : 'feature', value : 'auto')
option('rtp', type : 'feature', value : 'auto')
option('sdp', type : 'feature', value : 'auto')
option('segmentclip', type : 'feature', value : 'auto')
option('siren', type : 'feature', value : 'auto')
option('smooth', type : 'feature', value : 'auto')
option('speed', type : 'feature', value : 'auto')
option('subenc', type : 'feature', value : 'auto')
option('switchbin', type : 'feature', value : 'auto')
option('tensordecoders', type : 'feature', value : 'auto')
option('timecode', type : 'feature', value : 'auto')
option('unixfd', type : 'feature', value : 'auto')
option('videofilters', type : 'feature', value : 'auto')
option('videoframe_audiolevel', type : 'feature', value : 'auto')
option('videoparsers', type : 'feature', value : 'auto')
option('videosignal', type : 'feature', value : 'auto')
option('vmnc', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')

# Feature options for libraries that need external deps
option('opencv', type : 'feature', value : 'auto', description : 'OpenCV computer vision library support')

# Feature options for optional deps in plugins
option('drm', type : 'feature', value : 'auto', description: 'libdrm support in the GstVA library')
option('udev', type : 'feature', value : 'auto', description: 'gudev support in the new VA-API plugin')
option('wayland', type : 'feature', value : 'auto', description : 'Wayland plugin/library, support in the Vulkan plugin')
option('x11', type : 'feature', value : 'auto', description : 'X11 support in Vulkan, GL and rfb plugins')

# Feature options for plugins that need external deps
option('aes', type : 'feature', value : 'auto', description : 'AES encryption/decryption plugin')
option('aja', type : 'feature', value : 'auto', description : 'AJA audio/video source/sink plugin')
option('aom', type : 'feature', value : 'auto', description : 'AOM AV1 video codec plugin')
option('avtp', type : 'feature', value : 'auto', description : 'Audio/Video Transport Protocol (AVTP) plugin')
option('amfcodec', type : 'feature', value : 'auto', description : 'AMD AMF codec plugin')
option('analyticsoverlay', type: 'feature', value : 'auto')
option('androidmedia', type : 'feature', value : 'auto', description : 'Video capture and codec plugins for Android')
option('applemedia', type : 'feature', value : 'auto', description : 'Video capture and codec access plugins for macOS and iOS')
option('asio', type : 'feature', value : 'auto', description : 'Steinberg Audio Streaming Input Output (ASIO) plugin')
option('assrender', type : 'feature', value : 'auto', description : 'ASS/SSA subtitle renderer plugin')
option('bluez', type : 'feature', value : 'auto', description : 'Bluetooth audio A2DP/AVDTP sink, AVDTP source plugin')
option('bs2b', type : 'feature', value : 'auto', description : 'Bauer stereophonic-to-binaural audio plugin')
option('bz2', type : 'feature', value : 'auto', description : 'bz2 stream encoder and decoder plugin')
option('chromaprint', type : 'feature', value : 'auto', description : 'Chromaprint fingerprint audio plugin')
option('closedcaption', type : 'feature', value : 'auto', description : 'Closed caption extractor, decoder, and overlay plugin')
option('codec2json', type : 'feature', value : 'auto')
option('colormanagement', type : 'feature', value : 'auto', description : 'Color management correction plugin')
option('curl', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin')
option('curl-ssh2', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin libssh2 support')
option('d3dvideosink', type : 'feature', value : 'auto', description : 'Direct3D video sink plugin')
option('d3d11', type : 'feature', value : 'auto', description : 'Direct3D11 plugin')
option('d3d12', type : 'feature', value : 'auto', description : 'Direct3D12 plugin')
option('dash', type : 'feature', value : 'auto', description : 'DASH demuxer plugin')
option('dc1394', type : 'feature', value : 'auto', description : 'libdc1394 IIDC camera source plugin')
option('decklink', type : 'feature', value : 'auto', description : 'DeckLink audio/video source/sink plugin')
option('directfb', type : 'feature', value : 'auto', description : 'DirectFB video sink plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source plugin')
option('directshow', type : 'feature', value : 'auto', description : 'Directshow audio/video plugins')
option('dtls', type : 'feature', value : 'auto', description : 'DTLS encoder and decoder plugin')
option('dts', type : 'feature', value : 'auto', description : 'DTS audio decoder plugin (GPL - only built if gpl option is also enabled!)')
option('dvb', type : 'feature', value : 'auto', description : 'DVB video bin and source plugin')
option('dwrite', type : 'feature', value : 'auto', description : 'DirectWrite plugin')
option('faac', type : 'feature', value : 'auto', description : 'Free AAC audio encoder plugin')
option('faad', type : 'feature', value : 'auto', description : 'Free AAC audio decoder plugin (GPL - only built if gpl option is also enabled!)')
option('fbdev', type : 'feature', value : 'auto', description : 'Framebuffer video sink plugin')
option('fdkaac', type : 'feature', value : 'auto', description : 'Fraunhofer AAC audio codec plugin')
option('flite', type : 'feature', value : 'auto', description : 'Flite speech synthesizer source plugin')
option('fluidsynth', type : 'feature', value : 'auto', description : 'Fluidsynth MIDI decoder plugin')
option('gl', type : 'feature', value : 'auto', description : 'GStreamer OpenGL integration support (used by various plugins)')
option('gme', type : 'feature', value : 'auto', description : 'libgme gaming console music file decoder plugin')
option('gs', type : 'feature', value : 'auto', description : 'Google Cloud Storage source and sink plugin')
option('gsm', type : 'feature', value : 'auto', description : 'GSM encoder/decoder plugin')
option('gtk3', type : 'feature', value : 'auto', description : 'GTK+ video sink plugin')
option('ipcpipeline', type : 'feature', value : 'auto', description : 'Inter-process communication plugin')
option('iqa', type : 'feature', value : 'auto', description : 'Image quality assessment plugin (AGPL - only built if gpl option is also enabled!)')
option('kms', type : 'feature', value : 'auto', description : 'KMS video sink plugin')
option('ladspa', type : 'feature', value : 'auto', description : 'LADSPA plugin bridge')
option('ladspa-rdf', type : 'feature', value : 'auto', description : 'LADSPA plugin bridge RDF support')
option('lc3', type : 'feature', value : 'auto', description : 'LC3 (Bluetooth) LE audio codec plugin')
option('ldac', type : 'feature', value : 'auto', description : 'LDAC bluetooth audio codec plugin')
option('libde265', type : 'feature', value : 'auto', description : 'HEVC/H.265 video decoder plugin')
option('openaptx', type : 'feature', value : 'auto', description : 'Open Source implementation of Audio Processing Technology codec (aptX) plugin')
option('lv2', type : 'feature', value : 'auto', description : 'LV2 audio plugin bridge')
option('mediafoundation', type : 'feature', value : 'auto', description : 'Microsoft Media Foundation plugin')
option('microdns', type : 'feature', value : 'auto', description : 'libmicrodns-based device provider')
option('modplug', type : 'feature', value : 'auto', description : 'ModPlug audio decoder plugin')
option('mpeg2enc', type : 'feature', value : 'auto', description : 'mpeg2enc video encoder plugin (GPL - only built if gpl option is also enabled!)')
option('mplex', type : 'feature', value : 'auto', description : 'mplex audio/video multiplexer plugin (GPL - only built if gpl option is also enabled!)')
option('msdk', type : 'feature', value : 'auto', description : 'Intel Media SDK video encoder/decoder plugin')
option('musepack', type : 'feature', value : 'auto', description : 'libmpcdec Musepack decoder plugin')
option('neon', type : 'feature', value : 'auto', description : 'NEON HTTP source plugin')
option('nvcomp', type : 'feature', value : 'auto', description : 'NVIDIA nvCOMP compression/decompression plugin')
option('nvcodec', type : 'feature', value : 'auto', description : 'NVIDIA GPU codec plugin')
option('nvdswrapper', type : 'feature', value : 'auto', description : 'NVIDIA DeepStream SDK wrapper plugin')
option('onnx', type : 'feature', value : 'auto', description : 'ONNX neural network plugin')
option('openal', type : 'feature', value : 'auto', description : 'OpenAL plugin')
option('openexr', type : 'feature', value : 'auto', description : 'OpenEXR plugin')
option('openh264', type : 'feature', value : 'auto', description : 'H.264 video codec plugin')
option('openjpeg', type : 'feature', value : 'auto', description : 'JPEG2000 image codec plugin')

=== debian/changelog ===
gst-plugins-bad1.0 (1.25.50-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:42:12 +0000

gst-plugins-bad1.0 (1.25.50-1ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 14 Feb 2025 19:06:37 +0100

gst-plugins-bad1.0 (1.25.50-1) experimental; urgency=medium

  * New upstream version 1.25.50

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Feb 2025 13:01:43 +0100

gst-plugins-bad1.0 (1.25.1-3) experimental; urgency=medium

  * d/patches: test for latomic generic
  * d/rules: gstcuda missing on arm

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 06 Feb 2025 15:00:14 +0100

=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Marc Leeman <marc.leeman@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               flite-dev,
               glslc [!i386],
               gstreamer1.0-plugins-base (>= 1.25.1),
               gstreamer1.0-plugins-good (>= 1.25.1),
               gstreamer1.0-tools,
               ladspa-sdk,
               libaom-dev,
               libasound2-dev (>= 0.9.1) [linux-any],
               libass-dev (>= 0.10.4),
               libavtp-dev,
               libbluetooth-dev (>= 5) [linux-any],
               libbs2b-dev (>= 3.1.0),
               libbz2-dev,
               libcairo2-dev,
               libchromaprint-dev,
               libcurl4-gnutls-dev (>= 7.55.0),
               libdc1394-dev (>= 2.2.5) [linux-any],
               libdca-dev,
               libde265-dev (>= 0.9),
               libdrm-dev (>= 2.4.98) [linux-any],
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev (>= 2.7),
               libfluidsynth-dev (>= 1.0),
               libfreeaptx-dev (>= 0.1.1) [!i386],
               libgirepository1.0-dev (>= 0.9.12-4~),
               libglib2.0-dev (>= 2.68),
               libgme-dev,
               libgnutls28-dev (>= 2.11.3),
               libgsm1-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
               libgstreamer1.0-dev (>= 1.25.1),
               libgtk-3-dev (>= 3.15.0),
               libgudev-1.0-dev (>= 143) [linux-any],
               libjson-glib-dev,
               libkate-dev (>= 0.1.7),
               liblc3-dev,
               liblcms2-dev (>= 2.7),
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev (>= 0.22),
               liblrdf0-dev [!i386],
               libltc-dev (>= 1.1.4) [!i386],
               libmjpegtools-dev (>= 2.0.0),
               libmodplug-dev,
               libmpcdec-dev,
               libneon27-dev [!i386],
               libnice-dev (>= 0.1.20),
               libonnxruntime-dev [amd64 arm64 armhf riscv64],
               libopenal-dev (>= 1:1.14),
               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
               libopenexr-dev,
               libopenh264-dev (>= 1.3.0),
               libopenjp2-7-dev (>= 2.2),
               libopenmpt-dev,
               libopenni2-dev (>= 0.26) [!i386],
               libopus-dev (>= 0.9.4),
               liborc-0.4-dev (>= 1:0.4.24),
               libpango1.0-dev (>= 1.22),
               libpng-dev,
               libqrencode-dev [!i386],
               librsvg2-dev (>= 2.36.2),
               librtmp-dev,
               libsbc-dev (>= 1.1) [linux-any],
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev (>= 0.0.6),
               libsrt-gnutls-dev,
               libsrtp2-dev (>= 2.1),
               libssh2-1-dev (>= 1.4.3),
               libssl-dev (>= 1.1),
               libsvtav1enc-dev,
               libusb-1.0-0-dev [linux-any],
               libva-dev (>= 1.8) [linux-any],
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.11.0) [linux-any],
               libwebp-dev (>= 0.2.1),
               libwebrtc-audio-processing-dev (>= 0.2),
               libwildmidi-dev (>= 0.4.2),
               libx11-dev,
               libx11-xcb-dev,
               libx265-dev,
               libxkbcommon-x11-dev,
               libxml2-dev (>= 2.8),
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
               meson,
               nettle-dev (>= 3),
               opencv-data [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
               wayland-protocols (>= 1.4) [linux-any],
               xauth,
               xvfb
Build-Conflicts: libopenaptx-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-bad-apps
Architecture: any
Section: utils
Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Conflicts: pitivi (<< 0.9999)
Description: GStreamer helper programs from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "bad" set, a set of
 plug-ins that aren't up to par compared to the rest. They might be
 close to being good quality, but they're missing something - be it a
 good code review, some documentation, a set of tests, a real live
 maintainer, or some actual wide use.

Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Depends: gstreamer1.0-plugins-base (>= 1.25.1),
         gstreamer1.0-plugins-good (>= 1.25.1),
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gstreamer1.0-plugins-bad-faad,
          gstreamer1.0-plugins-bad-videoparsers,
          ${gstreamer:Provides}
Suggests: frei0r-plugins
Conflicts: gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1)
Replaces: gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-base (<< 0.11.94),
          gstreamer1.0-plugins-good (<< 1.1.2)
Breaks: gstreamer1.0-plugins-base (<< 0.11.94),
        gstreamer1.0-plugins-good (<< 1.1.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-opencv
Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64
Multi-Arch: same
Depends: gstreamer1.0-plugins-base,
         libgstreamer-opencv1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gstreamer1.0-plugins-bad (<< 1.17.2~)
Replaces: gstreamer1.0-plugins-bad (<< 1.17.2~)
Recommends: opencv-data
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer OpenCV plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the OpenCV plugins.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: pitivi (<< 0.9999)
Description: GStreamer libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-opencv1.0-0
Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer OpenCV libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries for OpenCV.

Package: libgstreamer-plugins-bad1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev,
         libgstreamer-plugins-good1.0-dev,
         libgstreamer1.0-dev,
         libopencv-dev (>= 2.3.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
         ${misc:Depends}
Conflicts: pitivi (<< 0.9999)
Description: GStreamer development files for libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export HOME=$(CURDIR)/fake-home

# upstream version
gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)

built_binaries := $(shell dh_listpackages)

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-bad1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-bad1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-bad1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dauto_features=enabled -Ddoc=disabled -Dgpl=enabled
# Not available in Debian yet
conf_flags += -Dfaac=disabled -Dgs=disabled -Diqa=disabled -Disac=disabled -Dmagicleap=disabled
conf_flags += -Dmicrodns=disabled -Dopensles=disabled -Dsvthevcenc=disabled -Dtinyalsa=disabled
conf_flags += -Dcuda-nvmm=disabled
conf_flags += -Dnvcomp=disabled
conf_flags += -Dnvdswrapper=disabled
conf_flags += -Dlcevcdecoder=disabled -Dlcevcencoder=disabled
conf_flags += -Dsvtjpegxs=disabled
# Unmaintained library
conf_flags += -Dmsdk=disabled
# Only available on Windows
conf_flags += -Damfcodec=disabled -Ddirectshow=disabled -Dwasapi=disabled -Dwasapi2=disabled
# In non-free currently
conf_flags += -Dfdkaac=disabled
# DirectFB is orphaned since 2018 (see #1083040)
conf_flags += -Ddirectfb=disabled
# Debian is not android
conf_flags += -Dandroidmedia=disabled

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64))
conf_flags += -Dzxing=disabled
endif

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf riscv64))
conf_flags += -Donnx=disabled
endif

# gstcuda missing on arm
ifeq (,$(filter $(DEB_HOST_ARCH),armel arm64 armhf))
conf_flags += -Dnvcodec=disabled
endif

ifeq ($(filter gstreamer1.0-opencv,$(built_binaries)),)
conf_flags += -Dopencv=disabled
endif

ifeq ($(filter gstreamer1.0-wpe,$(built_binaries)),)
conf_flags += -Dwpe=disabled
endif

ifneq ($(DEB_HOST_ARCH_ENDIAN),little)
conf_flags += -Dldac=disabled
endif

ifneq ($(DEB_HOST_ARCH),amd64)
conf_flags += -Dqsv=disabled
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Dbluez=disabled -Ddc1394=disabled -Dfbdev=disabled -Dsbc=disabled
conf_flags += -Dva=disabled -Dv4l2codecs=disabled -Dwpe=disabled -Duvch264=disabled
conf_flags += -Dvulkan=disabled -Dwayland=disabled -Ddvb=disabled
conf_flags += -Dopenni2=disabled -Dsctp=disabled -Dwebrtc=disabled
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Dresindvd=disabled -Dnvcodec=disabled -Dgl=disabled -Dudev=disabled
conf_flags += -Duvcgadget=disabled -Davtp=disabled
endif

# Not available on Ubuntu i386 currently
ifeq ($(DEB_HOST_ARCH),i386)
conf_flags += -Dladspa=disabled -Dneon=disabled -Dopenaptx=disabled \
              -Dopenni2=disabled -Dqroverlay=disabled -Dvulkan=disabled
endif

# bookworm backport flags
conf_flags += -Daja=disabled -Dqt6d3d11=disabled -Dwebrtcdsp=disabled

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

override_dh_makeshlibs:
	dh_makeshlibs -plibgstreamer-plugins-bad1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-plugins-bad1.0-0 (>= $(gst_version))' -- -c4
	dh_makeshlibs -plibgstreamer-opencv1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-opencv1.0-0 (>= $(gst_version))' -- -c4

override_dh_install:
	rm -rv $(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/basecamerabinsrc \
		$(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/interfaces/photography* \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstbasecamerabinsrc* \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstphotography* \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstjpegformat.so \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstcamerabin.so

	dh_install
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdvb.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstfbdevsink.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdc1394.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdecklink.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstuvch264.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstbluez.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsbc.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstwaylandsink.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstkms.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstcuda-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstva-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
ifneq ($(DEB_HOST_ARCH),i386)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstvulkan-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstladspa.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstneonhttpsrc.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenaptx.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstqroverlay.so
endif
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsctp.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstwebrtc.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwebrtcnice-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstqsv.so
endif
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstresindvd.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstavtp.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstgtkwayland.so

## gst-plugins-bad1.0 1.25.90

=== debian/changelog ===
gst-plugins-bad1.0 (1.25.90-3ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Mar 2025 11:19:57 -0400

gst-plugins-bad1.0 (1.25.90-3) unstable; urgency=high

  * Team upload
  * Restore Build-Depends gstreamer1.0-plugins-good for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 09:59:26 -0500

gst-plugins-bad1.0 (1.25.90-2) unstable; urgency=medium

  * Upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 07 Mar 2025 16:26:40 +0100

gst-plugins-bad1.0 (1.25.90-1) experimental; urgency=medium

  * d/patches: disable libs_vkwindow elements_vkdeviceprovider
  * Revert "d/install: remove libweebrtcdsp"
  * Revert "d/control: libwebrtc-audio-processing-dev removed"
  * Revert "d/rules: webrtcdsp disabled" (Closes: #1094638)
  * d/: disable webrtcdsp for hurd
  * New upstream version 1.25.90
  * d/control: update dependency version to 1.25.90
  * d/control: remove Build-Depends gstreamer1.0-plugins-good

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 16:31:36 +0100

gst-plugins-bad1.0 (1.25.50-1ubuntu4) plucky; urgency=medium

  * Rebuild against latest openh264

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 08:03:37 -0500

gst-plugins-bad1.0 (1.25.50-1ubuntu3) plucky; urgency=medium

  * Rebuild against latest onnxruntime

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Feb 2025 02:18:09 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                dh-sequence-gir,
                flite-dev,
                glslc [!i386],
-               gstreamer1.0-plugins-base (>= 1.25.1),
-               gstreamer1.0-plugins-good (>= 1.25.1),
+               gstreamer1.0-plugins-base (>= 1.25.90),
+               gstreamer1.0-plugins-good (>= 1.25.90),
                gstreamer1.0-tools,
                ladspa-sdk,
                libaom-dev,
@@ -39,8 +39,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
-               libgstreamer1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
+               libgstreamer1.0-dev (>= 1.25.90),
                libgtk-3-dev (>= 3.15.0),
                libgudev-1.0-dev (>= 143) [linux-any],
                libjson-glib-dev,
@@ -136,8 +136,8 @@
 Package: gstreamer1.0-plugins-bad
 Architecture: any
 Multi-Arch: same
-Depends: gstreamer1.0-plugins-base (>= 1.25.1),
-         gstreamer1.0-plugins-good (>= 1.25.1),
+Depends: gstreamer1.0-plugins-base (>= 1.25.90),
+         gstreamer1.0-plugins-good (>= 1.25.90),
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,7 @@
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 conf_flags += -Dresindvd=disabled -Dnvcodec=disabled -Dgl=disabled -Dudev=disabled
 conf_flags += -Duvcgadget=disabled -Davtp=disabled
+conf_flags += -Dwebrtcdsp=disabled
 endif
 
 # Not available on Ubuntu i386 currently
@@ -97,7 +98,7 @@
 endif
 
 # bookworm backport flags
-conf_flags += -Daja=disabled -Dqt6d3d11=disabled -Dwebrtcdsp=disabled
+conf_flags += -Daja=disabled -Dqt6d3d11=disabled
 
 %:
 	dh $@

## gst-plugins-bad1.0 1.26.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.26.0-1ubuntu2) plucky; urgency=medium

  * Rebuild against latest onnxruntime

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 12:45:14 -0400

gst-plugins-bad1.0 (1.26.0-1ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 08:41:24 -0400

gst-plugins-bad1.0 (1.26.0-1) unstable; urgency=medium

  [ Marc Leeman ]
  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/patches: remove 0001-fix-build-without-wayland.patch
  * d/patches: refresh Skip-failing-tests.patch
  * d/rules: cuda-nvmm not available in debian yet
  * d/rules: disable android media
  * d/rules: cevc not in debian yet
  * d/rules: nvcomp not in debian yet
  * d/rules: nvdswrapper not in debian yet
  * d/rules: svtjpegxs not in debian yet
  * d/install: install libgsttensordecoders.so
  * d/control: bump GStreamer version dependency
  * d/patches: test for latomic generic
  * d/rules: gstcuda missing on arm
  * d/patches: disable libs_vkwindow elements_vkdeviceprovider
  * Revert "d/install: remove libweebrtcdsp"
  * d/: disable webrtcdsp for hurd
  * d/control: update dependency version to 1.25.90

  [ Jeremy Bícha ]
  * Mark -good as only needed for build tests

  [ Marc Leeman ]
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 10:50:20 +0100

gst-plugins-bad1.0 (1.24.12-3) unstable; urgency=medium

  * d/: disable webrtcdsp for hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 19 Feb 2025 13:04:59 +0100

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-bad/ gst-plugins-bad-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-bad1.0 1.26.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * d/patches: remove 0002-test-latomic.patch
  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 09:47:03 +0200
